aMule Forum

Please login or register.

Login with username, password and session length
Advanced search  

News:

We're back! (IN POG FORM)

Author Topic: Crash all'inizio  (Read 2751 times)

Bonny

  • Newbie
  • Karma: 0
  • Offline Offline
  • Posts: 2
Crash all'inizio
« on: February 22, 2004, 09:44:29 PM »

Ciao a tutti

ho installato sulla mia knoppix 3.3 ( -> Debian testing/unstable) la versione 1.1.0 ( so che è vecchiotta ma la avevo su un cd da una rivista). Ho installato il pacchetto deb senza problemi ma quando da console lancio amule ottengo solo questa sfilza di errori:

bonny@domus1:~$ amule -h
amule: Symbol `_ZTV10wxTextCtrl' has different size in shared object, consider re-linking
/usr/share/themes/Geramik/gtk-2.0/gtkrc:25: error: unexpected identifier `GtkButton', expected character `}'
Initialising aMule

Gtk-CRITICAL **: file gtkwidget.c: line 1428 (gtk_widget_show): assertion `GTK_IS_WIDGET (widget)' failed.

Gtk-CRITICAL **: file gtkwidget.c: line 1428 (gtk_widget_show): assertion `GTK_IS_WIDGET (widget)' failed.

Gtk-WARNING **: invalid cast from `(unknown)' to `GtkObject'

(cut... --> E' tutto uguale a questo)


OOPS! - Seems like aMule crashed
--== BACKTRACE FOLLOWS: ==--

  • amule(_ZN9CamuleApp16OnFatalExceptionEv+0x5b) [0x8219939]
  • [1] /usr/lib/libwx_gtk-2.4.so.0(wxFatalSignalHandler+0x2d)
[0x403cf96d]
[2] /lib/libpthread.so.0 [0x405ea96d]
[3] /lib/libc.so.6 [0x4065a488]
[4] /usr/lib/libwx_gtk-2.4.so.0(_ZN8wxObject3RefERKS_+0x30) [0x40358640]
[5] /usr/lib/libwx_gtk-2.4.so.0(_ZN14wxTextCtrlBase15SetDefaultStyleERK10wxTextAttr+0x78) [0x40385d28]
[6] /usr/lib/libwx_gtk-2.4.so.0(_ZN10wxTextCtrl6CreateEP8wxWindowiRK8wxStringRK7wxPointRK6wxSizelRK11wxValidatorS4_+0x51c) [0x40292acc]
[7] /usr/lib/libwx_gtk-2.4.so.0(_ZN10wxTextCtrlC1EP8wxWindowiRK8wxStringRK7wxPointRK6wxSizelRK11wxValidatorS4_+0x83) [0x40292583]
[8] amule(_Z9searchDlgP8wxWindowbb+0x1417) [0x8131411]
[9] amule(_ZN10CSearchDlgC1EP8wxWindow+0x1c6) [0x81a2af8]
[10] amule(_ZN9CamuleDlgC1EP8wxWindow8wxString+0x314) [0x821ae3e]
[11] amule(_ZN9CamuleApp6OnInitEv+0x385) [0x8216e9d]
[12] /usr/lib/libwx_gtk-2.4.so.0(_Z7wxEntryiPPc+0x228) [0x402451a8]
[13] amule(main+0x22) [0x82167ea]
[14] /lib/libc.so.6(__libc_start_main+0xc6) [0x40646da6]
[15] amule(_ZN18wxBaseArrayPtrVoidD2Ev+0x31) [0x80bced1]
Aborted


Mi sembra un problema delle librerie gtk. Confermate? Come faccio a risolverlo ?
Per favore mi aiutate? voglio unirmi anch'io alla community !  8)

PS : secondo voi faccio bene apostare un mess simile nel forum in in glese?

Grazie anticipatamente,

Bonny
Logged
Bonny vi saluta

Frankk

  • Full Member
  • ***
  • Karma: 0
  • Offline Offline
  • Posts: 142
    • http://frankk.no-ip.com
Re: Crash all'inizio
« Reply #1 on: February 22, 2004, 10:06:13 PM »

Logged

Frankk

  • Full Member
  • ***
  • Karma: 0
  • Offline Offline
  • Posts: 142
    • http://frankk.no-ip.com
Re: Crash all'inizio
« Reply #2 on: February 22, 2004, 10:36:00 PM »

ops, non avevo notato che si tratta di una versione vecchiotta... :P cmq  dovresti provare una versione più recente, è probabile che quel bug sia stato già corretto.
Logged